commit:     e5a33d5b243a483d04fdea1cfc6e1514e0855bb2
Author:     Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Tue Mar 10 18:44:44 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 05:16:06 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5a33d5b

dev-db/pgagent: revbump to depend on boost[nls(+)]

It seems icu was not the right dependency; nls definitely is.

Closes: https://bugs.gentoo.org/956456
Bug: https://bugs.gentoo.org/971061
Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/291
Merges: https://codeberg.org/gentoo/gentoo/pulls/291
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-db/pgagent/pgagent-4.2.3-r2.ebuild | 49 ++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/dev-db/pgagent/pgagent-4.2.3-r2.ebuild 
b/dev-db/pgagent/pgagent-4.2.3-r2.ebuild
new file mode 100644
index 000000000000..d725538dfc36
--- /dev/null
+++ b/dev-db/pgagent/pgagent-4.2.3-r2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_IN_SOURCE_BUILD=1
+inherit cmake
+
+DESCRIPTION="pgAgent is a job scheduler for PostgreSQL"
+HOMEPAGE="https://www.pgadmin.org/download/pgagent-source-code/";
+SRC_URI="https://github.com/pgadmin-org/${PN}/archive/refs/tags/${P}.tar.gz";
+S="${WORKDIR}/${PN}-${P}"
+
+LICENSE="POSTGRESQL GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       acct-user/pgagent
+       dev-db/postgresql:*
+       dev-libs/boost:=[nls(+)]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.2.3-cmake-4.patch
+       "${FILESDIR}"/${PN}-4.2.3-boost-1.89.patch
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       sed -e "s:share):share/${P}):" \
+               -i CMakeLists.txt || die "failed to patch CMakeLists.txt"
+}
+
+src_configure() {
+       local mycmakeargs=( "-DSTATIC_BUILD:BOOLEAN=FALSE" )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       newinitd "${FILESDIR}/pgagent.initd-r1" "${PN}"
+       newconfd "${FILESDIR}/pgagent.confd" "${PN}"
+
+       rm "${ED}"/usr/{LICENSE,README} || die "failed to remove useless docs"
+}

Reply via email to